/**
 * 
 */
package oeg.merero.recommenders;

import java.util.List;

import org.recommender101.recommender.AbstractRecommender;

/**
 * @author oescamil
 *
 */
public class RandomRecommender extends AbstractRecommender {
	private static final long serialVersionUID = 7622322797384081172L;


	/**
	 * Random recommender with uniform distribution
	 */
	@Override
	public float predictRating(int user, int item) {
		float maxVal = this.dataModel.getMaxRatingValue();
		float minVal = this.dataModel.getMinRatingValue();
		float rangeLength = maxVal - minVal;
		return (float) (Math.random()*rangeLength+minVal);
	}



	@Override
	public void init() throws Exception {}



	@Override
	public List<Integer> recommendItems(int user) {
		return super.recommendItemsByRatingPrediction(user);
	}

}
